Subject: Re: [nwcrg] NC for satellite communication

From: Rolf Sperber <[email-masked]>
Date: Tue, 13 Jun 2017 17:29:29 +0200

Dear all,

Marie-Jose is perfectly right, coming from possible use cases the focus
should be on architecture. Whether NC is deployed or not the network slice
will always be end to end and possibly cover multiple technologies
(satellite, fixed line, LTE, WLAN,Š..). We are looking into mobile network
for railway passengers and on board entertainment seems to be a good use
case. Sat communication would not be suitable for railway safety relevant
applications.

best regards

Rolf

Rolf Sperber
Birkenstrasse 5
76676 Graben-Neudorf
GERMANY
[email-masked]
Phone: +49 7255 9000987
Mobile: +49 151 21262119
skype: rolf.rs01

Von:  nwcrg <[email-masked]> on behalf of "[email-masked]"
<[email-masked]>
Datum:  Dienstag, 13. Juni 2017 um 14:59
An:  <[email-masked]>
Betreff:  Re: [nwcrg] nwcrg Digest, Vol 44, Issue 11

I think this exchange puts the emphasis on the architecture document(s) we
never issued. Satellite networks are of course connected to other networks
with VPNs, their own local optimizations etc. We should re-start the
architecture work so we can agree on the best way to use NC (and where to
put it) to have the best performance improvements and not increase
bufferbloat or increase losses elsewhere.

mjm
> On Jun 13, 2017, at 5:49 AM, [email-masked] wrote:
> 
> Send nwcrg mailing list submissions to
> [email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> https://www.irtf.org/mailman/listinfo/nwcrg
> or, via email, send a message with subject or body 'help' to
> [email-masked]
> 
> You can reach the person managing the list at
> [email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of nwcrg digest..."
> Today's Topics:
> 
>    1. Re: NC for satellite communication (Harald Skinnemoen)
> 
> From: Harald Skinnemoen <[email-masked]>
> Subject: Re: [nwcrg] NC for satellite communication
> Date: June 13, 2017 at 5:36:15 AM EDT
> To: "Morten V. Pedersen" <[email-masked]>
> Cc: [email-masked]
> 
> 
> Hi Morten, 
> 
> For HENCSAT the title of the SoW is simply  "Network coding for satellites²,
> but it is also given here as NETWORK CODING PROTOCOLS FOR SATELLITE TERMINALS
> WITH MULTIPLE LOGICAL PATHS
> 
> https://artes.esa.int/funding/network-coding-protocols-satellite-terminals-mul
> tiple-logical-paths-artes-51-3a069-0
> 
> We have extended that to NC for Satellite Applications with multiple logical
> paths (so that paths do not have to be implemented in the satellite terminal,
> but can be running in an OS that supports multiple network interfaces.
> 
> We have further focused on mobile situations, where the sender or receiver
> nodes physically are moving through changing networking environments, and
> addressing challenges such as unknown and changing networks characteristics.
> 
> We have two use case scenarios where one focuses on Sending data from a node
> with multiple networks, and a second one, with a mobile cluster of receiving
> nodes having multiple access networks both in each node and, of course, in the
> cluster as a whole.
> 
> Best Regards
> 
> /Harald Skinnemoen
> 
> Founder and CEO
> AnsuR Technologies
> Oslo / Barcelona 
> Cell: +47 92846651
> Email: [email-masked]
> 
> 
> 
> 
> 
>> On 13 Jun 2017, at 11:04, Morten V. Pedersen <[email-masked]> wrote:
>> 
>>     
>>  Hi Harald,
>>  Excellent will look there. Yes, if you have a link to the ESA tender that
>> would be interesting to read as well.
>>  
>>  - M
>>  
>>  
>> On 06/13/2017 10:58 AM, Harald Skinnemoen wrote:
>>  
>>  
>>>   
>>> Hello Morten,
>>>  
>>> 
>>>  
>>>  
>>> Thanks, I think these projects may be relevant.
>>>  
>>> 
>>>  
>>>  
>>> SatNetCode has some info here:
>>>  
>>> 
>>>  
>>>  
>>> https://artes.esa.int/projects/satnetcode
>>>  
>>> 
>>>  
>>>  
>>> For HENCSAT we have not set up the project web page yet. However, we won an
>>> ESA tender, and I can point you to the ESA call if you would like.
>>>  
>>> 
>>>  
>>>  
>>> The key issues we consider are
>>>  
>>> 
>>>  
>>>  
>>> - mobility, so network availability and capabilities may change during use.
>>>  
>>> - satellites in heterogeneous networks
>>>  
>>> - application layer solutions that do not need changes in network components
>>> outside our control
>>>  
>>> - high efficiency with NC as needed
>>>  
>>> - disruptive tolerant networking
>>>  
>>> - solving real problems for real use cases
>>>  
>>> 
>>>  
>>>  
>>> 
>>>  
>>>  
>>> 
>>>  
>>>  Best regards, 
>>> 
>>>  
>>>  
>>> /Harald
>>>  
>>> 
>>>  
>>>  
>>> -Sent from my iPad
>>>  
>>>  
>>> 
>>>  On 13 Jun 2017, at 09:39, Morten V. Pedersen <[email-masked]> wrote:
>>>  
>>>  
>>>  
>>>>  
>>>>   Hi Harald,
>>>>  Those projects both sounds very interesting, and I believe also relevant
>>>> to the draft outlined.
>>>>  
>>>>  Do you have any links to project homepage or similar with more
>>>> information?
>>>>  
>>>>  All the best,
>>>>  Morten
>>>>  
>>>>  
>>>> On 06/12/2017 05:51 PM, Harald Skinnemoen wrote:
>>>>  
>>>>  
>>>>>   Dear Emmanuel,
>>>>> 
>>>>>  
>>>>>  
>>>>> This is my first post to this groupŠ I am the founder of AnsuR, a small
>>>>> private company in Norway and Barcelona. Our focus is very much on
>>>>> applications for mobile satellite and radio networks.
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> I have been working with satcom solutions since early 1990s, . Currently
>>>>> mission-critical visual communication and networking. I founded and led
>>>>> the ETSI Work Group on Broadband Satellite Multimedia and I am stil the
>>>>> Chairman of the (EBU) DVB-RCS work group.
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> We started our first ESA project implementing NC for satcom about 5 years
>>>>> ago. At the moment we have two open projects with ESA - the European Space
>>>>> Agency with focus on Network Coding. The two projects are called
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> - SatNetCode - where we focus in renenconding nodes and end to end
>>>>> scenarios 
>>>>>  
>>>>> - HENCSAT - Highly Efficient Network Coding for Satellite Application Test
>>>>> bench., where we focus on multi-homing networks.
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> If there is interest, we could present these scenarios in the
>>>>> draft-nbc-sat document.
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> Best regards 
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>> /Harald
>>>>>  
>>>>>   
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>> - - -
>>>>>  
>>>>>  Dr. Harald  Skinnemoen
>>>>>  Founder, Managing Director and Chairman
>>>>>  
>>>>> AnsuR Technologies (Oslo) / AnsuR Solutions Barcelona (BCN) / AnsuR
>>>>> BirdEye / Ansurance
>>>>>  Martin Linges Vei 25, N-1364 Fornebu, Norway
>>>>>  Mobile: (+47) 928 466 51 / Office: (+47) 64 00 94 56
>>>>>  
>>>>> E-mail: [email-masked] /  Skype: harald.skinnemoen / Web: www.ansur.no
>>>>> <http://www.ansur.no/>
>>>>>  Address: Martin Linges Vei 25, 1364 Fornebu, Norway
>>>>>   ___________________________________________________________
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>   
>>>>>  
>>>>> NOTE: This email is intended only for the recipient(s).
>>>>>  
>>>>> Any forwarding, copying or presentation of parts of, or the whole email,
>>>>> including attachments to non-receipients is not authorized without further
>>>>> approval
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>>   
>>>>> 
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>> 
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>>  
>>>>>> On 12 Jun 2017, at 10:40, Emmanuel Lochin
>>>>>> <[email-masked]> wrote:
>>>>>>  
>>>>>>  
>>>>>>  
>>>>>> Dear all,
>>>>>>  
>>>>>>  It appears that several contributors from NWCRG have an expertise and
>>>>>> interest in satellite communications (Marie-José, Samah, Tomaso, the
>>>>>> Steinwurf team, and many others). So we thought that the list should be
>>>>>> interested in contributing to a draft dealing with this topic. We started
>>>>>> a preliminary draft with Nicolas Kuhn on the use of NC for satellite
>>>>>> communication. The draft is in attachment and is really open. We listed a
>>>>>> plan and added some comments to explain the objectives of each item. You
>>>>>> are most welcome to comment, add topics to section 5, propose/discuss
>>>>>> another plan, , ...
>>>>>>  
>>>>>>  Emmanuel
>>>>>>  
>>>>>>  -- 
>>>>>>  Emmanuel LOCHIN
>>>>>>  Professeur ISAE
>>>>>>  ISAE SUPAERO - Institut Supérieur de l'Aéronautique et de l'Espace
>>>>>>  10 avenue Edouard Belin - BP 54032 - 31055 TOULOUSE CEDEX 4 FRANCE -
>>>>>>  http://www.isae-supaero.fr <http://www.isae-supaero.fr/>
>>>>>>  Tel +33 5 61 33 84 85 - Fax (+33) 5 61 33 83 45
>>>>>>  Web : http://personnel.isae.fr/emmanuel-lochin/
>>>>>>  
>>>>>>  <draft-nwc-sat-00.txt>_______________________________________________
>>>>>>  nwcrg mailing list
>>>>>>  [email-masked]
>>>>>>  https://www.irtf.org/mailman/listinfo/nwcrg
>>>>>>  
>>>>>>  
>>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>  
>>>>>   
>>>>>  
>>>>> _______________________________________________
>>>>> nwcrg mailing list
>>>>> [email-masked]://www.irtf.org/mailman/listinfo/nwcrg
>>>>>  
>>>>  
>>>>  
>>>>  
>>>  
>>>>  
>>>> _______________________________________________
>>>>  nwcrg mailing list
>>>>  [email-masked]
>>>>  https://www.irtf.org/mailman/listinfo/nwcrg
>>>>  
>>>>  
>>>  
>>>   
>>>  
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked]://www.irtf.org/mailman/listinfo/nwcrg
>>>  
>>  
>>  
>> _______________________________________________
>> nwcrg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/nwcrg
> 
> 
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg

_______________________________________________ nwcrg mailing list
[email-masked] https://www.irtf.org/mailman/listinfo/nwcrg